Bug 1309909 - Review Request: python3-tornado - Scalable, non-blocking web server and tools
Review Request: python3-tornado - Scalable, non-blocking web server and tools
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Raphael Groner
Fedora Extras Quality Assurance
: Reopened
Depends On: 1376867
Blocks: 1376940 1396053
  Show dependency treegraph
 
Reported: 2016-02-18 18:15 EST by Orion Poplawski
Modified: 2016-12-27 12:17 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-27 12:17:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
projects.rg: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2016-02-18 18:15:13 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-tornado.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-tornado-4.3-1.el7.src.rpm
Description: 
Tornado is an open source version of the scalable, non-blocking web
server and tools.

The framework is distinct from most mainstream web server frameworks
(and certainly most Python frameworks) because it is non-blocking and
reasonably fast. Because it is non-blocking and uses epoll, it can
handle thousands of simultaneous standing connections, which means it is
ideal for real-time web services.

Fedora Account System Username: orion

This in an EPEL7 only package.
Comment 1 Orion Poplawski 2016-02-18 18:15:37 EST
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13040300
Comment 2 Raphael Groner 2016-03-06 12:23:17 EST
(In reply to Orion Poplawski from comment #0)
…
> This in an EPEL7 only package.

Why don't you build for python3 as a normal sub package for EPEL7 from python-tornado.spec as it's currently in git? I see you have already commit ACL to that branch, though the package is orphan ATM.
https://admin.fedoraproject.org/pkgdb/package/rpms/python-tornado
http://pkgs.fedoraproject.org/cgit/rpms/python-tornado.git/commit/?h=epel7&id=89909ff7dd83c98f11395bff4920ee5ddacb2c3a
Comment 3 Orion Poplawski 2016-03-06 17:12:54 EST
My understanding of the issue is that composes are done based on srpm names - and since python-tornado is already in RHEL7 that this would lead to conflicts.
Comment 4 Raphael Groner 2016-03-07 03:00:30 EST
%python_provide should magically handle such issues: It adds (virtual) Provides where necessary. Otherwise, the package could have an individual Obsoletes entry.

https://fedoraproject.org/wiki/Packaging:Python#The_.25python_provide_macro
Comment 5 Orion Poplawski 2016-07-15 18:52:09 EDT
This is waiting on a python3-pycurl package.
Comment 6 Raphael Groner 2016-07-16 02:44:20 EDT
It would be great to have python3-tornado on EPEL7, especially for python-pika and running the dedicated tests for its adapter.

(In reply to Orion Poplawski from comment #5)
> This is waiting on a python3-pycurl package.

python-pycurl is available in RHEL7 for python2. Either the Fedora maintainers of python-pycurl can build python3-pycurl subpackage from it also for EPEL7, or we need another new python3-pycurl package review.
Comment 7 Raphael Groner 2016-07-16 02:50:37 EDT
Trying to ask maintainers of python-pycurl what they think.
Comment 8 Orion Poplawski 2016-09-16 12:51:02 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-tornado.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-tornado-4.4.1-1.el7.src.rpm

* Fri Sep 16 2016 Orion Poplawski <orion@cora.nwra.com> - 4.4.1-1
- Update to 4.4.1
Comment 9 Tim Orling 2016-10-13 19:00:31 EDT
I am also willing to consider adding to EPEL6.
Comment 10 Raphael Groner 2016-11-13 10:12:01 EST
(In reply to Orion Poplawski from comment #0)
> This in an EPEL7 only package.

Shouldn't this request be with Product Fedora EPEL?

(In reply to Tim Orling from comment #9)
> I am also willing to consider adding to EPEL6.

https://fedoraproject.org/wiki/EPEL:Packaging?rd=Packaging:EPEL#EPEL_6_and_earlier
Comment 11 Raphael Groner 2016-11-17 05:37:46 EST
(In reply to Orion Poplawski from comment #5)
> This is waiting on a python3-pycurl package.

The review for python3-pycurl is approved, we can continue here. python3-tornado should be enabled for python-pika on EPEL. Expect something to this request from me in the next days.
Comment 12 Orion Poplawski 2016-11-17 10:36:31 EST
Spec URL: http://www.cora.nwra.com/~orion/fedora/python3-tornado.spec
SRPM URL: http://www.cora.nwra.com/~orion/fedora/python3-tornado-4.4.2-1.el7.src.rpm

* Thu Nov 17 2016 Orion Poplawski <orion@cora.nwra.com> - 4.4.2-1
- Update to 4.4.2
Comment 13 Raphael Groner 2016-11-17 11:04:38 EST
Do you really want a newer version in EPEL7 than in Fedora 25 (currently 4.4.1)?
Comment 14 Orion Poplawski 2016-11-17 12:28:44 EST
Sure. But thanks for the notice - https://bodhi.fedoraproject.org/updates/python-tornado-4.4.2-1.fc25
Comment 15 Raphael Groner 2016-11-19 12:00:05 EST
% fedora-review -v -m epel-7-x86_64 -b 1309909
…
error: Package already exists: %package -n python3-tornado
DEBUG: ReviewError: "Can't parse specfile: can't parse specfile\n"

Any ideas?
Comment 16 Orion Poplawski 2016-11-19 12:08:08 EST
Yeah, I'm afraid the package can only be built on a EL7 system.
Comment 17 Raphael Groner 2016-11-22 14:31:25 EST
APPROVED

But at least, note the missing %license as explained below. Please fix while importing the package.


MUST

* Please add '%license LICENSE' to both %files.
  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text


SHOULD

* python3-pkgversion-macros needs to be installed to let fedora-review
  properly parse the spec file. Maybe consider to add it as BuildRequires.

* Please make the sphinx documentation in the doc subfolder and add the 
  generated files to doc subpackage.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Package contains BR: python2-devel or python3-devel


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 49 files have unknown license. Detailed output of
     licensecheck in /home/builder/fedora-
     review/1309909-python3-tornado/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python34-tornado , python3-tornado-doc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.21 starting (python version = 2.7.5)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled yum cache
Start: cleaning yum metadata
Finish: cleaning yum metadata
Mock Version: 1.2.21
INFO: Mock Version: 1.2.21
Finish: chroot init
INFO: installing package(s): /home/builder/fedora-review/1309909-python3-tornado/results/python34-tornado-4.4.2-1.el7.centos.x86_64.rpm /home/builder/fedora-review/1309909-python3-tornado/results/python3-tornado-doc-4.4.2-1.el7.centos.x86_64.rpm /home/builder/fedora-review/1309909-python3-tornado/results/python3-tornado-debuginfo-4.4.2-1.el7.centos.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/yum --installroot /var/lib/mock/epel-7-x86_64/root/ --releasever 7 install /home/builder/fedora-review/1309909-python3-tornado/results/python34-tornado-4.4.2-1.el7.centos.x86_64.rpm /home/builder/fedora-review/1309909-python3-tornado/results/python3-tornado-doc-4.4.2-1.el7.centos.x86_64.rpm /home/builder/fedora-review/1309909-python3-tornado/results/python3-tornado-debuginfo-4.4.2-1.el7.centos.x86_64.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: python34-tornado-4.4.2-1.el7.centos.x86_64.rpm
          python3-tornado-doc-4.4.2-1.el7.centos.x86_64.rpm
          python3-tornado-4.4.2-1.el7.centos.src.rpm
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/epoll.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/epoll.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/web.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/curl_httpclient_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/escape_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/concurrent.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/concurrent.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/web.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/escape_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/testing_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/runtests.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/import_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/runtests.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/import_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/testing_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/autoreload.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/options_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/http1connection_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/auth_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/http1connection_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/auth_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/autoreload.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/options_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/simple_httpclient_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/auth.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/netutil.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/netutil.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/simple_httpclient_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/auth.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/httpserver.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/gen.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/curl_httpclient.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/websocket_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/gen.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/curl_httpclient.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/websocket_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/httpserver.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/tcpserver_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/httpclient_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/wsgi_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/httpclient_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/wsgi_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/tcpserver_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/ioloop_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/stack_context.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/wsgi.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/iostream.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/iostream.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/stack_context.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/wsgi.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/template_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/__init__.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/locale.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/template.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/locale_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/locale.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/template.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/caresresolver.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/tcpclient_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/tcpclient_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/caresresolver.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/__init__.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/queues_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/__init__.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/_locale_data.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/httpclient.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/httputil_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/httpserver_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/httpserver_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/httpclient.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/httputil_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/concurrent_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/websocket.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/resolve_test_helper.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/websocket.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/locks.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/kqueue.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/ioloop_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/kqueue.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/locks.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/log.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/util_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/__init__.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/template_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/log.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/twisted.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/tcpclient.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/asyncio_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/tcpclient.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/twisted.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/interface.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/web_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/__main__.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/__main__.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/interface.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/web_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/options.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/util.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/auto.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/resolve_test_helper.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/auto.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/options.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/util.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/escape.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/queues_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/log_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/windows_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/locks_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/locks_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/escape.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/log_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/windows_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/testing.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/__init__.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/testing.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/__init__.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/concurrent_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/iostream_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/stack_context_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/tcpserver.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/asyncio.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/gen_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/queues.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/tcpserver.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/asyncio.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/gen_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/queues.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/iostream_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/stack_context_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/windows.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/windows.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/process.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/netutil_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/process.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/http1connection.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/_locale_data.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/http1connection.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/util.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/common.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/ioloop.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/httputil.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/util.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/common.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/posix.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/posix.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/locale_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/process_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/twisted_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/process_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/twisted_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/httputil.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/netutil_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/asyncio_test.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/util_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/simple_httpclient.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/select.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/ioloop.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/test/__pycache__/curl_httpclient_test.cpython-34.pyc expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/platform/__pycache__/select.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: E: python-bytecode-wrong-magic-value /usr/lib64/python3.4/site-packages/tornado/__pycache__/simple_httpclient.cpython-34.pyo expected 3260 (3.4), found 3310 (unknown)
python34-tornado.x86_64: W: file-not-in-%lang /usr/lib64/python3.4/site-packages/tornado/test/gettext_translations/fr_FR/LC_MESSAGES/tornado_test.mo
python3-tornado-doc.x86_64: E: zero-length /usr/share/doc/python3-tornado-doc-4.4.2/demos/facebook/static/facebook.js
python3-tornado-doc.x86_64: W: doc-file-dependency /usr/share/doc/python3-tornado-doc-4.4.2/demos/blog/blog.py /usr/bin/env
python3-tornado-doc.x86_64: W: doc-file-dependency /usr/share/doc/python3-tornado-doc-4.4.2/demos/chat/chatdemo.py /usr/bin/env
python3-tornado-doc.x86_64: W: doc-file-dependency /usr/share/doc/python3-tornado-doc-4.4.2/demos/helloworld/helloworld.py /usr/bin/env
python3-tornado-doc.x86_64: W: doc-file-dependency /usr/share/doc/python3-tornado-doc-4.4.2/demos/websocket/chatdemo.py /usr/bin/env
python3-tornado-doc.x86_64: W: doc-file-dependency /usr/share/doc/python3-tornado-doc-4.4.2/demos/benchmark/stack_context_benchmark.py /usr/bin/env
python3-tornado-doc.x86_64: W: doc-file-dependency /usr/share/doc/python3-tornado-doc-4.4.2/demos/facebook/facebook.py /usr/bin/env
python3-tornado-doc.x86_64: W: doc-file-dependency /usr/share/doc/python3-tornado-doc-4.4.2/demos/benchmark/template_benchmark.py /usr/bin/env
python3-tornado-doc.x86_64: W: doc-file-dependency /usr/share/doc/python3-tornado-doc-4.4.2/demos/benchmark/chunk_benchmark.py /usr/bin/env
python3-tornado-doc.x86_64: W: doc-file-dependency /usr/share/doc/python3-tornado-doc-4.4.2/demos/benchmark/benchmark.py /usr/bin/env
3 packages and 0 specfiles checked; 161 errors, 10 warnings.




Requires
--------
python3-tornado-doc (rpmlib, GLIBC filtered):
    /usr/bin/env

python34-tornado (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython3.4m.so.1.0()(64bit)
    python(abi)
    python34-backports_abc
    python34-pycurl
    rtld(GNU_HASH)



Provides
--------
python3-tornado-doc:
    python3-tornado-doc
    python3-tornado-doc(x86-64)

python34-tornado:
    python34-tornado
    python34-tornado(x86-64)



Unversioned so-files
--------------------
python34-tornado: /usr/lib64/python3.4/site-packages/tornado/speedups.cpython-34m.so

Source checksums
----------------
https://files.pythonhosted.org/packages/source/t/tornado/tornado-4.4.2.tar.gz :
  CHECKSUM(SHA256) this package     : 2898f992f898cd41eeb8d53b6df75495f2f423b6672890aadaf196ea1448edcc
  CHECKSUM(SHA256) upstream package : 2898f992f898cd41eeb8d53b6df75495f2f423b6672890aadaf196ea1448edcc


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -v -b 1309909
Buildroot used: epel-7-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 18 Orion Poplawski 2016-11-22 15:29:25 EST
Shifted to github source to get the LICENSE file.  sphinx-build fails (too old I think), so waiting for sphinx-build-3.
Comment 19 Orion Poplawski 2016-11-22 15:29:44 EST
Oh, and thanks for the review!
Comment 20 Gwyn Ciesla 2016-11-22 18:05:52 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python3-tornado
Comment 21 Fedora Update System 2016-11-22 18:41:40 EST
python3-tornado-4.4.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-27782b5577
Comment 22 Fedora Update System 2016-11-24 19:22:31 EST
python3-tornado-4.4.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-27782b5577
Comment 23 Fedora Update System 2016-12-10 00:19:55 EST
python3-tornado-4.4.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2016-12-10 15:41:19 EST
python-pika-0.10.0-7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-752692aca7
Comment 25 Fedora Update System 2016-12-11 06:49:55 EST
python-pika-0.10.0-7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-752692aca7
Comment 26 Fedora Update System 2016-12-27 12:17:20 EST
python-pika-0.10.0-7.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.